<script setup lang="ts">
import TheHeaderMenu from '@/components/layout/TheHeaderMenu.vue'
import HeaderCart from '@/components/cart/HeaderCart.vue'
import { ref } from 'vue'

const isMobileMenuOpen = ref(false)

function onMobileMenuOpen(): void {
  isMobileMenuOpen.value = true
}
function onMobileMenuClose(): void {
  isMobileMenuOpen.value = false
}
</script>

<template>
  <header class="header axil-header header-style-4">
    <!-- Start Header Top Area  -->
    <div class="axil-header-top">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-md-4 col-12">
            <div class="header-top-dropdown dropdown-box-style">
              <div class="dropdown">
                <button class="dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                  EN
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">EN</a></li>
                  <li><a class="dropdown-item" href="#">ARB</a></li>
                  <li><a class="dropdown-item" href="#">SPN</a></li>
                </ul>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-5">
            <div class="header-brand">
              <RouterLink :to="{ name: 'home' }" class="logo logo-dark">
                <img src="@/assets/images/logo/logo.png" alt="Site Logo">
              </RouterLink>
              <RouterLink :to="{ name: 'home' }" class="logo logo-light">
                <img src="@/assets/images/logo/logo-light.png" alt="Site Logo">
              </RouterLink>
            </div>
          </div>
          <div class="col-md-4 col-7">
            <div class="header-action">
              <ul class="action-list">
                <li class="axil-search">
                  <a href="javascript:void(0)" class="header-search-icon" title="Search">
                    <i class="flaticon-magnifying-glass"></i>
                  </a>
                </li>
                <li class="wishlist">
                  <a href="wishlist.html">
                    <i class="flaticon-heart"></i>
                  </a>
                </li>
                <HeaderCart/>
                <li class="my-account">
                  <a href="javascript:void(0)">
                    <i class="flaticon-person"></i>
                  </a>
                  <div class="my-account-dropdown">
                    <span class="title">QUICKLINKS</span>
                    <ul>
                      <li>
                        <a href="my-account.html">My Account</a>
                      </li>
                      <li>
                        <a href="#">Initiate return</a>
                      </li>
                      <li>
                        <a href="#">Support</a>
                      </li>
                      <li>
                        <a href="#">Language</a>
                      </li>
                    </ul>
                    <a href="sign-in.html" class="axil-btn btn-bg-primary">Login</a>
                    <div class="reg-footer text-center">No account yet? <a href="sign-up.html" class="btn-link">REGISTER HERE.</a></div>
                  </div>
                </li>
                <li class="axil-mobile-toggle" @click.prevent.stop="onMobileMenuOpen">
                  <button class="menu-btn mobile-nav-toggler">
                    <i class="flaticon-menu-2"></i>
                  </button>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- End Header Top Area  -->

    <!-- Start Mainmenu Area  -->
    <div id="axil-sticky-placeholder"></div>
    <TheHeaderMenu :is-mobile-open="isMobileMenuOpen" @onMobileClose="onMobileMenuClose"/>
    <!-- End Mainmenu Area  -->
  </header>
</template>
